# Icinga PHP Library for Icinga Web 2 | (c) 2021 Icinga GmbH | GPLv2+

%global revision 1
%global module_name icinga-php-library

Name:           %{module_name}
Version: 0.9.1.4.g1b6b6f2
Release: 0.20220715.1705%{?dist}
Summary:        Icinga PHP Library for Icinga Web 2
Group:          Applications/System
License:        MIT
URL:            https://icinga.com
Source0: icinga-php-library-0.9.1.4.g1b6b6f2.orig.tar.gz
BuildArch:      noarch

# Define php runtime identifier
%if 0%{?fedora} || 0%{?rhel} || 0%{?amzn}
%if 0%{?rhel} == 7
%define php_scl         rh-php73
%endif

%if 0%{?php_scl:1}
%define php_scl_prefix  %{php_scl}-
%endif

%define php             %{?php_scl_prefix}php
%endif

%if 0%{?suse_version}
%define php             php
%endif

%global basedir %{_datadir}/icinga-php/ipl

Requires:       icinga-php-common
Requires:       icinga-php-thirdparty

# php extension requirements
Requires:                   %{php}-intl
%{?rhel:Requires:           %{php}-pdo}
%{?suse_version:Requires:   %{php}-gettext %{php}-json %{php}-openssl}
%if 0%{?rhel} >= 8 || 0%{?fedora} >= 30
Requires:                   %{php}-json
%endif

%description
This project bundles all Icinga PHP libraries into one
piece and can be integrated as library into Icinga Web 2.

%prep
%setup -q

%install
mkdir -vp %{buildroot}%{basedir}

cp -vr asset %{buildroot}%{basedir}
cp -vr vendor %{buildroot}%{basedir}
cp -vr composer.* %{buildroot}%{basedir}
cp -vr VERSION %{buildroot}%{basedir}

%clean
rm -rf %{buildroot}

%files
%doc README.md
%license LICENSE
%defattr(-,root,root)
%{basedir}

%changelog
* Wed Jul 06 2022 Johannes Meyer <johannes.meyer@icinga.com> - 0.9.1-1
- Release 0.9.1

* Thu Jun 30 2022 Henrik Triem <henrik.triem@icinga.com> - 0.9.0-1
- Release 0.9.0

* Tue Apr 26 2022 Johannes Meyer <johannes.meyer@icinga.com> - 0.8.1-1
- Release 0.8.1

* Wed Mar 23 2022 Johannes Meyer <johannes.meyer@icinga.com> - 0.8.0-1
- Release 0.8.0

* Wed Nov 10 2021 Johannes Meyer <johannes.meyer@icinga.com> - 0.7.0-1
- Release 0.7.0

* Tue Jul 27 2021 Johannes Meyer <johannes.meyer@icinga.com> - 0.6.1-1
- Release 0.6.1

* Thu Jul 08 2021 Henrik Triem <henrik.triem@icinga.com> - 0.6.0-1
- Release 0.6.0
